Closed Bug 1307249 Opened 3 years ago Closed 9 months ago

Intermittent devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js | Test timed out -

Categories

(DevTools :: Debugger, defect, P2)

defect

Tracking

(firefox67 fixed)

RESOLVED FIXED
Firefox 67
Tracking Status
firefox67 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: NarcisB)

References

Details

(Keywords: bulk-close-intermittents, intermittent-failure, Whiteboard: [retriggered][stockwell disabled])

Attachments

(1 file)

Duplicate of this bug: 1307280
Priority: -- → P3
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → INCOMPLETE
Product: Firefox → DevTools
New occurrence:
https://treeherder.mozilla.org/logviewer.html#?job_id=193496167&repo=mozilla-inbound
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 3 years agoLast year
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Priority: P3 → P2

There are 87 total failures in the last 7 days on linux64 debug, linux64-ccov debug, osx-10-10 debug, and windows10-64-ccov
debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=231780471&repo=autoland&lineNumber=11697

[task 2019-03-05T00:17:48.820Z] 00:17:48 INFO - TEST-START | devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js
[task 2019-03-05T00:17:48.868Z] 00:17:48 INFO - GECKO(1497) | ++DOCSHELL 0x7f07e2c1a800 == 1 [pid = 1698] [id = {ff28aeed-a768-4774-87f8-1c9241aa28d7}]
[task 2019-03-05T00:17:48.870Z] 00:17:48 INFO - GECKO(1497) | ++DOMWINDOW == 1 (0x7f07e3111400) [pid = 1698] [serial = 98] [outer = (nil)]
[task 2019-03-05T00:17:48.916Z] 00:17:48 INFO - GECKO(1497) | ++DOMWINDOW == 2 (0x7f07e327e800) [pid = 1698] [serial = 99] [outer = 0x7f07e3111400]
[task 2019-03-05T00:17:49.094Z] 00:17:49 INFO - GECKO(1497) | --DOCSHELL 0x7f5c645b5000 == 9 [pid = 1497] [id = {bc5665f0-df6a-46d9-ba82-10adb22d87ce}]

[task 2019-03-05T00:19:20.103Z] 00:19:20 INFO - TEST-PASS | devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js | Is not paused -
[task 2019-03-05T00:19:20.104Z] 00:19:20 INFO - Navigating to doc-scripts.html
[task 2019-03-05T00:19:20.105Z] 00:19:20 INFO - Waiting for NAVIGATE to dispatch 1 time(s)
[task 2019-03-05T00:19:20.105Z] 00:19:20 INFO - Buffered messages logged at 00:18:03
[task 2019-03-05T00:19:20.106Z] 00:19:20 INFO - NAVIGATE dispatched 1 time(s)
[task 2019-03-05T00:19:20.107Z] 00:19:20 INFO - Waiting on sources: simple1.js, simple2.js, simple3.js, long.js, scripts.html
[task 2019-03-05T00:19:20.110Z] 00:19:20 INFO - Waiting for state change: source simple1.js exists
[task 2019-03-05T00:19:20.111Z] 00:19:20 INFO - Waiting for state change: source simple2.js exists
[task 2019-03-05T00:19:20.111Z] 00:19:20 INFO - Waiting for state change: source simple3.js exists
[task 2019-03-05T00:19:20.112Z] 00:19:20 INFO - Waiting for state change: source long.js exists
[task 2019-03-05T00:19:20.112Z] 00:19:20 INFO - Waiting for state change: source scripts.html exists
[task 2019-03-05T00:19:20.113Z] 00:19:20 INFO - Console message: [JavaScript Error: "TypeError: source.actors is undefined" {file: "resource://devtools/client/debugger/new/src/utils/breakpoint/index.js" line: 107}]
[task 2019-03-05T00:19:20.116Z] 00:19:20 INFO - Console message: [JavaScript Error: "TypeError: existingSource.actors is undefined" {file: "resource://devtools/client/debugger/new/src/reducers/sources.js" line: 217}]
[task 2019-03-05T00:19:20.117Z] 00:19:20 INFO - Buffered messages logged at 00:18:04
[task 2019-03-05T00:19:20.117Z] 00:19:20 INFO - Finished waiting for state change: source simple2.js exists
[task 2019-03-05T00:19:20.118Z] 00:19:20 INFO - Finished waiting for state change: source simple3.js exists
[task 2019-03-05T00:19:20.118Z] 00:19:20 INFO - Finished waiting for state change: source long.js exists
[task 2019-03-05T00:19:20.119Z] 00:19:20 INFO - Finished waiting for state change: source scripts.html exists
[task 2019-03-05T00:19:20.120Z] 00:19:20 INFO - Buffered messages finished
[task 2019-03-05T00:19:20.123Z] 00:19:20 INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js | Test timed out -
[task 2019-03-05T00:19:20.125Z] 00:19:20 INFO - GECKO(1497) | ++DOMWINDOW == 16 (0x7f5c63d02400) [pid = 1497] [serial = 300] [outer = 0x7f5c61dc1800]
[task 2019-03-05T00:19:20.126Z] 00:19:20 INFO - GECKO(1497) | console.warn: "Error while detaching the thread front: 'detach' request packet to 'server1.conn41.child1/context22' can't be sent as the connection is closed."
[task 2019-03-05T00:19:21.044Z] 00:19:21 INFO - Removing tab.
[task 2019-03-05T00:19:21.045Z] 00:19:21 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-03-05T00:19:21.104Z] 00:19:21 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-03-05T00:19:21.130Z] 00:19:21 INFO - Tab removed and finished closing
[task 2019-03-05T00:19:21.197Z] 00:19:21 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-03-05T00:19:21.205Z] 00:19:21 INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js | A promise chain failed to handle a rejection: source.actors is undefined - stack: makeBreakpointLocation@resource://devtools/client/debugger/new/src/utils/breakpoint/index.js:107:5
[task 2019-03-05T00:19:21.205Z] 00:19:21 INFO - syncBreakpointPromise@resource://devtools/client/debugger/new/src/actions/breakpoints/syncBreakpoint.js:99:69
[task 2019-03-05T00:19:21.205Z] 00:19:21 INFO - asyncsyncBreakpoint/<@resource://devtools/client/debugger/new/src/actions/breakpoints/syncBreakpoint.js:146:28
[task 2019-03-05T00:19:21.206Z] 00:19:21 INFO - thunk/</</<@resource://devtools/client/debugger/new/src/actions/utils/middleware/thunk.js:21:45
[task 2019-03-05T00:19:21.207Z] 00:19:21 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:755:18
[task 2019-03-05T00:19:21.208Z] 00:19:21 INFO - checkPendingBreakpoints/</<@resource://devtools/client/debugger/new/src/actions/sources/newSources.js:183:52
[task 2019-03-05T00:19:21.208Z] 00:19:21 INFO - checkPendingBreakpoints/<@resource://devtools/client/debugger/new/src/actions/sources/newSources.js:183:42
[task 2019-03-05T00:19:21.209Z] 00:19:21 INFO - async
thunk/</</<@resource://devtools/client/debugger/new/src/actions/utils/middleware/thunk.js:21:45
[task 2019-03-05T00:19:21.210Z] 00:19:21 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:755:18
[task 2019-03-05T00:19:21.210Z] 00:19:21 INFO - loadSourceMaps/<@resource://devtools/client/debugger/new/src/actions/sources/newSources.js:78:7
[task 2019-03-05T00:19:21.211Z] 00:19:21 INFO - asyncthunk/</</<@resource://devtools/client/debugger/new/src/actions/utils/middleware/thunk.js:21:45
[task 2019-03-05T00:19:21.211Z] 00:19:21 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:755:18
[task 2019-03-05T00:19:21.212Z] 00:19:21 INFO - newSources/<@resource://devtools/client/debugger/new/src/actions/sources/newSources.js:223:5
[task 2019-03-05T00:19:21.212Z] 00:19:21 INFO - thunk/</</<@resource://devtools/client/debugger/new/src/actions/utils/middleware/thunk.js:21:45
[task 2019-03-05T00:19:21.212Z] 00:19:21 INFO - bindActionCreator/<@resource://devtools/client/shared/vendor/redux.js:644:12
[task 2019-03-05T00:19:21.213Z] 00:19:21 INFO - dispatchNewSources@resource://devtools/client/debugger/new/src/utils/source-queue.js:19:23
[task 2019-03-05T00:19:21.214Z] 00:19:21 INFO - invokeFunc@resource://devtools/client/shared/vendor/lodash.js:10350:23
[task 2019-03-05T00:19:21.215Z] 00:19:21 INFO - leadingEdge@resource://devtools/client/shared/vendor/lodash.js:10360:26
[task 2019-03-05T00:19:21.215Z] 00:19:21 INFO - debounced@resource://devtools/client/shared/vendor/lodash.js:10425:20
[task 2019-03-05T00:19:21.215Z] 00:19:21 INFO - queue@resource://devtools/client/debugger/new/src/utils/source-queue.js:31:5
[task 2019-03-05T00:19:21.216Z] 00:19:21 INFO - newSource@resource://devtools/client/debugger/new/src/client/firefox/events.js:85:25
[task 2019-03-05T00:19:21.216Z] 00:19:21 INFO - eventSource/proto.emit@resource://devtools/shared/client/event-source.js:128:27
[task 2019-03-05T00:19:21.217Z] 00:19:21 INFO - onPacket@resource://devtools/shared/client/debugger-client.js:609:16
[task 2019-03-05T00:19:21.218Z] 00:19:21 INFO - send/<@resource://devtools/shared/transport/local-transport.js:64:23
[task 2019-03-05T00:19:21.218Z] 00:19:21 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-03-05T00:19:21.219Z] 00:19:21 INFO - DevToolsUtils.executeSoon
exports.executeSoon@resource://devtools/shared/DevToolsUtils.js:55:21
[task 2019-03-05T00:19:21.220Z] 00:19:21 INFO - send@resource://devtools/shared/transport/local-transport.js:58:21
[task 2019-03-05T00:19:21.220Z] 00:19:21 INFO - send@resource://devtools/server/main.js:1023:20
[task 2019-03-05T00:19:21.220Z] 00:19:21 INFO - receiveMessage@resource://devtools/shared/transport/child-transport.js:66:16
[task 2019-03-05T00:19:21.221Z] 00:19:21 INFO - MessageListener.receiveMessage*_addListener@resource://devtools/shared/transport/child-transport.js:40:14
[task 2019-03-05T00:19:21.221Z] 00:19:21 INFO - ready@resource://devtools/shared/transport/child-transport.js:57:10
[task 2019-03-05T00:19:21.221Z] 00:19:21 INFO - connectToFrame/</onActorCreated<@resource://devtools/server/main.js:730:24
[task 2019-03-05T00:19:21.222Z] 00:19:21 INFO - exports.makeInfallible/<@resource://devtools/shared/ThreadSafeDevToolsUtils.js:109:22
[task 2019-03-05T00:19:21.222Z] 00:19:21 INFO - Rejection date: Tue Mar 05 2019 00:18:03 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-03-05T00:19:21.224Z] 00:19:21 INFO - Stack trace:
[task 2019-03-05T00:19:21.225Z] 00:19:21 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-03-05T00:19:21.225Z] 00:19:21 INFO - chrome://mochikit/content/browser-test.js:nextTest:745
[task 2019-03-05T00:19:21.227Z] 00:19:21 INFO - chrome://mochikit/content/browser-test.js:timeoutFn:1202
[task 2019-03-05T00:19:21.228Z] 00:19:21 INFO - setTimeout handler*chrome://mochikit/content/browser-test.js:Tester_execTest:1164
[task 2019-03-05T00:19:21.228Z] 00:19:21 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
[task 2019-03-05T00:19:21.231Z] 00:19:21 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-03-05T00:19:21.232Z] 00:19:21 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-03-05T00:19:21.233Z] 00:19:21 INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-navigation.js | A promise chain failed to handle a rejection: existingSource.actors is undefined - stack: addSources@resource://devtools/client/debugger/new/src/reducers/sources.js:217:43

Jason, can you please assign someone to take a look? This will soon received the disable-recommended tag.

Flags: needinfo?(jlaster)
Whiteboard: [retriggered] → [retriggered][stockwell needswork:owner]
Pushed by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/56aaf8c9fb7c
Disable browser_dbg-navigation.js on OSX and Linux r=jmaher

Hi Andrea, I apologize for not replying earlier. We pushed some fixes for this test on monday and I was waiting on additional patch to land, which would affect the behavior. That patch landed thursday morning.

I hope to look into these intermittents as I believe there is a legitimate exception.

I'd be happy to remove some of the skip-ifs if i'm confident we have addressed it.

here's an intermittent log viewer for future reference: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-02-06&endday=2019-03-08&tree=trunk&bug=1307249

Flags: needinfo?(jlaster)
Status: REOPENED → RESOLVED
Closed: Last year9 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 67
Assignee: nobody → nbeleuzu

(In reply to Jason Laster [:jlast] from comment #26)

Hi Andrea, I apologize for not replying earlier. We pushed some fixes for this test on monday and I was waiting on additional patch to land, which would affect the behavior. That patch landed thursday morning.

I hope to look into these intermittents as I believe there is a legitimate exception.

I'd be happy to remove some of the skip-ifs if i'm confident we have addressed it.

here's an intermittent log viewer for future reference: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-02-06&endday=2019-03-08&tree=trunk&bug=1307249

No problem Jason, thanks for looking.

Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered][stockwell disabled]
You need to log in before you can comment on or make changes to this bug.